Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class AuthorizeSecurityGroupIngressRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.AuthorizeSecurityGroupIngressRequest

    public class AuthorizeSecurityGroupIngressRequest

extends AmazonWebServiceRequest

Container for the parameters to the `AuthorizeSecurityGroupIngress operation`.

The AuthorizeSecurityGroupIngress operation adds permissions to a security group.

Permissions are specified by the IP protocol (TCP, UDP or ICMP), the source of the request (by IP range or an Amazon EC2 user-group pair), the source and destination port ranges (for TCP and UDP), and the ICMP codes and types (for ICMP). When authorizing ICMP, -1 can be used as a wildcard in the type and code fields.

Permission changes are propagated to instances within the security group as quickly as possible. However, depending on the number of instances, a small delay might occur.

When authorizing a user/group pair permission, GroupName, SourceSecurityGroupName and SourceSecurityGroupOwnerId must be specified. When authorizing a CIDR IP permission, GroupName, IpProtocol, FromPort, ToPort and CidrIp must be specified. Mixing these two types of parameters is not allowed.

See Also:
  `AmazonEC2.authorizeSecurityGroupIngress(AuthorizeSecurityGroupIngressRequest)`

Constructor Summary
`AuthorizeSecurityGroupIngressRequest()`

Method Summary
`String` | `getCidrIp()` CIDR range.
`Integer` | `getFromPort()` Start of port range for the TCP and UDP protocols, or an ICMP type number.
`String` | `getGroupName()` Name of the group to modify.
`String` | `getIpProtocol()` IP protocol.
`String` | `getSourceSecurityGroupName()` Name of the security group.
`String` | `getSourceSecurityGroupOwnerId()` AWS user ID of an account.
`Integer` | `getToPort()` End of port range for the TCP and UDP protocols, or an ICMP code.
`void` | `setCidrIp(String cidrIp)` CIDR range.
`void` | `setFromPort(Integer fromPort)` Start of port range for the TCP and UDP protocols, or an ICMP type number.
`void` | `setGroupName(String groupName)` Name of the group to modify.
`void` | `setIpProtocol(String ipProtocol)` IP protocol.
`void` | `setSourceSecurityGroupName(String sourceSecurityGroupName)` Name of the security group.
`void` | `setSourceSecurityGroupOwnerId(String sourceSecurityGroupOwnerId)` AWS user ID of an account.
`void` | `setToPort(Integer toPort)` End of port range for the TCP and UDP protocols, or an ICMP code.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`AuthorizeSecurityGroupIngressRequest` | `withCidrIp(String cidrIp)` CIDR range.
`AuthorizeSecurityGroupIngressRequest` | `withFromPort(Integer fromPort)` Start of port range for the TCP and UDP protocols, or an ICMP type number.
`AuthorizeSecurityGroupIngressRequest` | `withGroupName(String groupName)` Name of the group to modify.
`AuthorizeSecurityGroupIngressRequest` | `withIpProtocol(String ipProtocol)` IP protocol.
`AuthorizeSecurityGroupIngressRequest` | `withSourceSecurityGroupName(String sourceSecurityGroupName)` Name of the security group.
`AuthorizeSecurityGroupIngressRequest` | `withSourceSecurityGroupOwnerId(String sourceSecurityGroupOwnerId)` AWS user ID of an account.
`AuthorizeSecurityGroupIngressRequest` | `withToPort(Integer toPort)` End of port range for the TCP and UDP protocols, or an ICMP code.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthorizeSecurityGroupIngressRequest

    public AuthorizeSecurityGroupIngressRequest()

Method Detail

### getGroupName

    public String getGroupName()

  Name of the group to modify. The name must be valid and belong to the account.

  Returns:
    Name of the group to modify. The name must be valid and belong to the account.

### setGroupName

    public void setGroupName(String groupName)

  Name of the group to modify. The name must be valid and belong to the account.

  Parameters:
    `groupName` - Name of the group to modify. The name must be valid and belong to the account.

### withGroupName

    public AuthorizeSecurityGroupIngressRequest withGroupName(String groupName)

  Name of the group to modify. The name must be valid and belong to the account.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `groupName` - Name of the group to modify. The name must be valid and belong to the account.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSourceSecurityGroupName

    public String getSourceSecurityGroupName()

  Name of the security group. Cannot be used when specifying a CIDR IP address.

  Returns:
    Name of the security group. Cannot be used when specifying a CIDR IP address.

### setSourceSecurityGroupName

    public void setSourceSecurityGroupName(String sourceSecurityGroupName)

  Name of the security group. Cannot be used when specifying a CIDR IP address.

  Parameters:
    `sourceSecurityGroupName` - Name of the security group. Cannot be used when specifying a CIDR IP address.

### withSourceSecurityGroupName

    public AuthorizeSecurityGroupIngressRequest withSourceSecurityGroupName(String sourceSecurityGroupName)

  Name of the security group. Cannot be used when specifying a CIDR IP address.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `sourceSecurityGroupName` - Name of the security group. Cannot be used when specifying a CIDR IP address.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSourceSecurityGroupOwnerId

    public String getSourceSecurityGroupOwnerId()

  AWS user ID of an account. Cannot be used when specifying a CIDR IP address.

  Returns:
    AWS user ID of an account. Cannot be used when specifying a CIDR IP address.

### setSourceSecurityGroupOwnerId

    public void setSourceSecurityGroupOwnerId(String sourceSecurityGroupOwnerId)

  AWS user ID of an account. Cannot be used when specifying a CIDR IP address.

  Parameters:
    `sourceSecurityGroupOwnerId` - AWS user ID of an account. Cannot be used when specifying a CIDR IP address.

### withSourceSecurityGroupOwnerId

    public AuthorizeSecurityGroupIngressRequest withSourceSecurityGroupOwnerId(String sourceSecurityGroupOwnerId)

  AWS user ID of an account. Cannot be used when specifying a CIDR IP address.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `sourceSecurityGroupOwnerId` - AWS user ID of an account. Cannot be used when specifying a CIDR IP address.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getIpProtocol

    public String getIpProtocol()

  IP protocol.

  Returns:
    IP protocol.

### setIpProtocol

    public void setIpProtocol(String ipProtocol)

  IP protocol.

  Parameters:
    `ipProtocol` - IP protocol.

### withIpProtocol

    public AuthorizeSecurityGroupIngressRequest withIpProtocol(String ipProtocol)

  IP protocol.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `ipProtocol` - IP protocol.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getFromPort

    public Integer getFromPort()

  Start of port range for the TCP and UDP protocols, or an ICMP type number. An ICMP type number of -1 indicates a wildcard (i.e., any ICMP type number).

  Returns:
    Start of port range for the TCP and UDP protocols, or an ICMP type number. An ICMP type number of -1 indicates a wildcard (i.e., any ICMP type number).

### setFromPort

    public void setFromPort(Integer fromPort)

  Start of port range for the TCP and UDP protocols, or an ICMP type number. An ICMP type number of -1 indicates a wildcard (i.e., any ICMP type number).

  Parameters:
    `fromPort` - Start of port range for the TCP and UDP protocols, or an ICMP type number. An ICMP type number of -1 indicates a wildcard (i.e., any ICMP type number).

### withFromPort

    public AuthorizeSecurityGroupIngressRequest withFromPort(Integer fromPort)

  Start of port range for the TCP and UDP protocols, or an ICMP type number. An ICMP type number of -1 indicates a wildcard (i.e., any ICMP type number).

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `fromPort` - Start of port range for the TCP and UDP protocols, or an ICMP type number. An ICMP type number of -1 indicates a wildcard (i.e., any ICMP type number).
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getToPort

    public Integer getToPort()

  End of port range for the TCP and UDP protocols, or an ICMP code. An ICMP code of -1 indicates a wildcard (i.e., any ICMP code).

  Returns:
    End of port range for the TCP and UDP protocols, or an ICMP code. An ICMP code of -1 indicates a wildcard (i.e., any ICMP code).

### setToPort

    public void setToPort(Integer toPort)

  End of port range for the TCP and UDP protocols, or an ICMP code. An ICMP code of -1 indicates a wildcard (i.e., any ICMP code).

  Parameters:
    `toPort` - End of port range for the TCP and UDP protocols, or an ICMP code. An ICMP code of -1 indicates a wildcard (i.e., any ICMP code).

### withToPort

    public AuthorizeSecurityGroupIngressRequest withToPort(Integer toPort)

  End of port range for the TCP and UDP protocols, or an ICMP code. An ICMP code of -1 indicates a wildcard (i.e., any ICMP code).

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `toPort` - End of port range for the TCP and UDP protocols, or an ICMP code. An ICMP code of -1 indicates a wildcard (i.e., any ICMP code).
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCidrIp

    public String getCidrIp()

  CIDR range.

  Returns:
    CIDR range.

### setCidrIp

    public void setCidrIp(String cidrIp)

  CIDR range.

  Parameters:
    `cidrIp` - CIDR range.

### withCidrIp

    public AuthorizeSecurityGroupIngressRequest withCidrIp(String cidrIp)

  CIDR range.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `cidrIp` - CIDR range.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.